Bug 65606 - 7.2 to 7.3 upgrade breaks qlogic scsi lun visibility
7.2 to 7.3 upgrade breaks qlogic scsi lun visibility
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-28 10:20 EDT by Anthony Clark
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Clark 2002-05-28 10:20:41 EDT
Description of Problem:
In rh 7.2, loading the qla2x00 driver and enabling scsi lun scanning in the 
kernel (via recompiling the kernel) allows rh to 'see' all the devices 
attached to the server via a fibre channel device that maps devices to scsi 
Trying to do the same with rh 7.3 does not work, none of the >0 luns are 
scanned, and the 0 lun devices are reported incorrectly.

How Reproducible:
With a qlogic 2200 fibre adapter connecting to a Dell PowerVault 136T tape 
library:  install a base 7.2 server. copy the i686-smp config file to .config 
in /usr/src/linux-2.4.  run make menuconfig and enable lun scanning.  build 
and install the kernel, reboot to 'see' the new non-lun 0 devices.
With the same system, install (don't upgrade) rh 7.3 and try the same steps.  
The system doesn't see any devices with a lun higher than 0.

Additional Information:
We've gone back to using 7.2 on the 3 servers that use fibre to connect to the 
library, but our upgrade path doesn't exist :-(
Comment 1 Bugzilla owner 2004-09-30 11:39:38 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.